"use strict";
layui.extend({
    common    :   'js/common'
}).use(['jquery','layer','common','table','form'],function () {
    //  弹窗插件
    var layer = layui.layer;
    //  Jquery插件
    var $ = layui.jquery;
    //  引入公共模块
    var common = layui.common;
    //引入表单
    var form = layui.form;



    //  初始化表单
    var layuiTable = common.layuiTable.render(layui.table,{
        elem: '#data_entity_table'
        ,url: '/permissions/third/authentication'
        ,cellMinWidth: 80 //全局定义常规单元格的最小宽度，
        , cols: [[
            { field: 'uuId', title: '第三方标识',align:'center' }
            ,{ field: 'mobile',title: '用户手机号',align:'center' }
            ,{ field: 'nickName',title: '用户昵称',align:'center' }
            ,{ field: 'userName',title: '用户名称',align:'center' }
            ,{ field: 'email',title: '用户邮箱',align:'center' }
            ,{ field: 'source',title: '用户来源',align:'center' }
            , { title: '操作',  toolbar: '#table-useradmin-webuser',width:180, align: 'center' }
        ]]
    });

    //  监听行工具事件
    layui.table.on('tool(data_table_event)', function(obj){
        switch(obj.event){
            //  修改机构
            case 'edit':
                common.openDefaultIframe({
                    title: '修改机构',
                    content: '/permissions/role/edit/' + obj.data.id
                });
                break;
            //  绑定用户
            case 'bind':
                common.openDefaultIframe({
                    title: '绑定账号',
                    content: '/permissions/role/account/' + obj.data.id
                });
                break;
            case 'delete':
                layer.confirm('是否确认删除？',{icon: 7, title:'提示'}, function(index){
                    $.ajax({
                        url     :   '/permissions/role/delete/' + obj.data.id,
                        success :   function(){
                            //  刷新表格
                            layuiTable.reload();
                            layer.msg("删除成功");
                            layer.close(index);
                        }
                    });
                });
                break;
            default:
                break;
        }
    });

    var reloadTable = function(){
        //  重新加载表格
        layuiTable.reload({
            //  设定异步数据接口的额外参数
            where: {
                name    :   $('#search_text').val(),
                isEnable : $('#is_enable').val(),
            }
            //  重新从第1页开始
            ,page: {
                curr: 1
            }
        });
    }

    //监听查询
    form.on('submit(query)', function(){
        reloadTable();
    });

    //监听重置
    form.on('submit(reset)', function(){
        $('#search_text').val('');
        $('#is_enable').val('');
        form.render('select');
        reloadTable();
    });

    //监听角色添加
    form.on('submit(add)', function(){
        common.openDefaultIframe({
            title   :   '添加角色',
            content :   '/permissions/role/add/view'
        });
    });

});